POST
/
v2
/
alerts
/
matches
/
seen
Mark all visible unread alert matches as seen
curl --request POST \
  --url https://api-v2.watchcollect.com/v2/alerts/matches/seen \
  --header 'Authorization: Bearer <token>'
{
  "matched_count": 1,
  "event_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Bulk alert match seen events accepted and the alert match read model was updated.

status
enum<string>
required
Available options:
accepted,
noop
matched_count
integer
required

Number of unread matches marked as seen.

Required range: x >= 0
event_ids
string<uuid>[]

Omitted for large bulk operations.

request_id
string